### Namespace

# Peas – 2

GObject-based plugins engine

Version | 2.2.0
Authors | Steve Frécinaux, Garrett Regier, Christian Hergert
License | LGPL-2.0-or-later
Website | https://gitlab.gnome.org/GNOME/libpeas
Source | https://gitlab.gnome.org/GNOME/libpeas

#### Build

C headers | `libpeas.h`
pkg-config files | `libpeas-2`

#### Dependencies

GLib—2.0 | The base type system library
| Browse documentation
GObject—2.0 | The base type system library
| Browse documentation

#### Additional documentation

- Migrating from Peas 1.x to Peas 2
- Classes Hierarchy

#### Classes

Engine | The `PeasEngine` is the object which manages the plugins.
ExtensionBase | Base class for C extensions.
ExtensionSet | Proxy for a set of extensions of the same type.
ObjectModule | Type module which allows extension registration.
PluginInfo | A `PeasPluginInfo` contains all the information available about a plugin.

#### Enumerations

PluginInfoError | These identify the various errors that can occur while loading a plugin.

#### Callbacks

ExtensionSetForeachFunc | This function is passed to `peas_extension_set_foreach()` and will be called for each extension in `set`.
FactoryFunc | A `PeasFactoryFunc` is a factory function which will instanciate a new extension of a given type. `g_object_newv()` is such a function.

#### Function Macros

DEPRECATED_FOR |
DEPRECATED_IN_2_0_FOR |
UNAVAILABLE |